Subject: Re: a way to read the current cpu load from the shell or via a cmdline utility in cygwin?
From: Jim George <[email-masked]>
To: John Morrison <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Jul 2002 21:58:03 +0100

On Wed, 24 Jul 2002 08:41:05 +0100 (BST)
John Morrison <[email-masked]> wrote:

> Does cat /proc/stat | grep cpu give you the information you want?
> 
> J.
> 
> On Wed, 24 Jul 2002, Dylan Cuthbert wrote:
> > Hi there,
> >
> > I've searched through the archives but can't seem to find any mention of
> > this, is there a way to display the cpu load via a shell utility?
> >
> > If not, can someone point me to the posix function call (if it exists) so I
> > can write a little utility.  I want to do some load balanced compiles across
> > several machines by spawning the compile across the network via "make -j",
> > and a wrapper for gcc, then use rsh (ssh or rexec) and network sharing to do
> > the compile.  The thing is I only want to use machines whose loads are low.
> >
> > Of course, if a tool for this kind of thing already exists, then please give
> > me a pointer.
> >
> > Regards
> >
> > ---------------------------------
> > Q-Games, Dylan Cuthbert.
> > http://www.q-games.com
Under Linux we had 'top'.  Is there an equivalent or something that someone is working on?

Jim

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/